# Home

Playground for the Discontinuous Galerkin method in 1D.

## Installation

Download repo:
```sh
$ git clone https://git.tpi.uni-jena.de/dg/dg1d.jl
```

Instantiate project:
```sh
$ julia --project # inside cloned dg1d.jl directory
julia> using Pkg; Pkg.instantiate("dg1d")
julia> Pkg.test("dg1d") # optionally
```

## Usage

```sh
$ julia --project # inside cloned dg1d.jl directory
julia> using dg1d
```

## Interactive Tests

Requires to have `Revise.jl` installed and enabled on start of a Julia session.

Instantiate tests:
```sh
$ cd dg1d.jl/test/dg1dTests
$ julia --project
julia> using Pkg; Pkg.instantiate("dg1dTests")
julia> using dg1dTests
```

You can then run tests repeatedly and they will update to changes interactively made in `dg1d.jl/src`
(the package) and `dg1d.jl/dg1dTests/src` (the tests). This is different from running 
`using Pkg; Pkg.test("dg1d")`, which would recompile the entire project every time when run.
