function evolve!(prms, rhs!, u, p, callbacks::CallbackSet)
  timestep_prms = get_or_error(prms, "Evolution", "Missing section 'Evolution'")
  # TODO write getter that allows to select between parameters, e.g.
  # get(prms, "timespan|tend", missing), where | means error. This should
  # throw an error if both are set. Tbf, the above example is dumb becase we
  # never need tspan
  # TODO Make get function also take types such that it can throw if type does not
  # match
  # TODO Make get function also take types such that it can throw if type does not
  # match.
  # tspan = get(prms, "timespan", missing)
  tend = get_or_error(timestep_prms, "tend", "Missing parameter 'Evolution.tend'")
  algorithm = get(prms, "algorithm", "RK4") # also need the | here, e.g. RK4|SSPRK3|...
  tspan = (0, tend)
  problem = ODEProblem(rhs!, u, tspan, p)
  stepper = if algorithm == "RK4"
    RK4()
  else
    error("Algorithm '$algorihtm' not available yet!")
  end
  solve(problem, stepper, callback=callbacks,
        adapative=false, # turn of build-in adaptive time stepping, use callback instead
       )
  return
end
