@with_signature function cons2prim(equation::SREulerEquation{<:HotEquationOfState})
  @accepts D, S, tau, p
  S2 = S^2
  @unpack eos, cons2prim_newtonsolver, cons2prim_bisection = equation
  p, converged = GRHD.find_pressure_insane(D, S2, tau, p,
            NaN #= unused, formally r, should be removed asap =#,
            eos, cons2prim_newtonsolver, cons2prim_bisection)
  if !converged && eltype(equation) == HybridEoS
    rho, success = GRHD.find_density_insane(D, S2, p, equation, eos,
                                            cons2prim_newtonsolver, cons2prim_bisection)
    p    = eos(Pressure, Density, rho)
    v    = Formulae.v(D, S, tau, p)
    eps  = Formulae.ϵ(D, S, tau, p)
  else
    rho  = Formulae.ρ(D, S, tau, p)
    v    = Formulae.v(D, S, tau, p)
    eps  = Formulae.ϵ(D, S, tau, p)
  end
  @returns rho, v, eps, p
end


@with_signature function cons2prim(equation::SREulerEquation{<:ColdEquationOfState})
  @accepts D, S, tau, p
  println("sers")
  S2   = S^2
  rho, success  = GRHD.find_density_insane(D, S2, p, equation)
  @unpack eos = equation
  p    = eos(Pressure, Density, rho)
  v    = Formulae.v(D, S, tau, p)
  eps  = Formulae.ϵ(D, S, tau, p)
  @returns rho, v, eps, p
end
